Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.util.queues
Class AbstractBlockingQueueItemConsumer<T>

    java.lang.Object
      org.gradle.util.queues.AbstractBlockingQueueItemConsumer<T>

All Implemented Interfaces:
  java.lang.Runnable

Direct Known Subclasses:
  DebugBlockingQueueItemConsumer, DoNothingBlockingQueueItemConsumer

    public abstract class AbstractBlockingQueueItemConsumer<T>

extends java.lang.Object
implements java.lang.Runnable

Constructor Summary
`protected` | `AbstractBlockingQueueItemConsumer(java.util.concurrent.BlockingQueue<T> toConsumeQueue, long pollTimeout, java.util.concurrent.TimeUnit pollTimeoutTimeUnit)`

Method Summary
`protected abstract boolean` | `consume(T queueItem)`
`java.lang.Throwable` | `getEndCause()`
`boolean` | `isEnded()`
`void` | `run()`
`protected void` | `setUp()`
`void` | `stopConsuming()`
`protected void` | `tearDown()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBlockingQueueItemConsumer

    protected AbstractBlockingQueueItemConsumer(java.util.concurrent.BlockingQueue<T> toConsumeQueue,
                                                long pollTimeout,
                                                java.util.concurrent.TimeUnit pollTimeoutTimeUnit)

Method Detail

### stopConsuming

    public void stopConsuming()

### isEnded

    public boolean isEnded()

### getEndCause

    public java.lang.Throwable getEndCause()

### run

    public final void run()

  Specified by:
    `run` in interface `java.lang.Runnable`

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### consume

    protected abstract boolean consume(T queueItem)

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD